Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.tx
Class TxInterceptor

    java.lang.Object
      org.jboss.aspects.tx.TxInterceptor

All Implemented Interfaces:
  org.jboss.aop.advice.Interceptor

public class TxInterceptor
extends Object
implements org.jboss.aop.advice.Interceptor

This interceptor handles transactions for AOP

Version:
  $Revision: 1.4 $
Author:
  David Jencks, Bill Burke

Field Summary
`protected org.jboss.logging.Logger` | `log` Logging instance
`static int` | `MAX_RETRIES`
`static Random` | `random`

Constructor Summary
`TxInterceptor(TransactionManager tm)`

Method Summary
`String` | `getName()`
`protected Object` | `internalInvoke(org.jboss.aop.joinpoint.Invocation invocation)` The `internalInvoke` method chooses the TxSupport subclass depending on the methods transaction support, then delegates the server side tx handing to it.
`Object` | `invoke(org.jboss.aop.joinpoint.Invocation invocation)` This method does calls internalInvoke up to the specified count of retries.
`protected String` | `resolveTxType(org.jboss.aop.joinpoint.Invocation invocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_RETRIES

    public static int MAX_RETRIES

### random

    public static Random random

### log

    protected org.jboss.logging.Logger log

  Logging instance

Constructor Detail

### TxInterceptor

    public TxInterceptor(TransactionManager tm)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.aop.advice.Interceptor`

### invoke

    public Object invoke(org.jboss.aop.joinpoint.Invocation invocation)
                  throws Throwable

  This method does calls internalInvoke up to the specified count of retries.

  Specified by:
    `invoke` in interface `org.jboss.aop.advice.Interceptor`
  Throws:
    `Throwable`

### internalInvoke

    protected Object internalInvoke(org.jboss.aop.joinpoint.Invocation invocation)
                             throws Throwable

  The `internalInvoke` method chooses the TxSupport subclass depending on the methods transaction support, then delegates the server side tx handing to it.

  Parameters:
    `invocation` - an `Invocation` value
  Returns:
    an `Object` value
  Throws:
    `Exception` - if an error occurs
    `Throwable`

### resolveTxType

    protected String resolveTxType(org.jboss.aop.joinpoint.Invocation invocation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.